<?php
 error_reporting(E_ALL);
ini_set('display_errors', '1');
 session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];

$caja_id=$_REQUEST['caja_id'];
$pi_folio=$_REQUEST['pi_folio'];
$norma_id=$_REQUEST['norma_id'];
$num=$_REQUEST['num'];
$embalaje_cod=$_REQUEST['embalaje_cod'];
$variedad_id=$_REQUEST['variedad_id'];
if(isset($_REQUEST['n_proceso'])){
	$n_proceso=$_REQUEST['n_proceso'];
}else{
	$n_proceso="";
}

if(isset($_REQUEST['n_lote'])){
	$n_lote=$_REQUEST['n_lote'];
}else{
	$n_lote="";
}

if(isset($_REQUEST['camara_id'])){
	$camara_id=$_REQUEST['camara_id'];
}else{
	$camara_id="";
}

if(isset($_REQUEST['etiqueta_cod'])){
	$etiqueta_cod=$_REQUEST['etiqueta_cod'];
}else{
	$etiqueta_cod="";
}

if(isset($_REQUEST['variedad_id_real'])){
	$variedad_id_real=$_REQUEST['variedad_id_real'];
}else{
	$variedad_id_real=$variedad_id;
}

$observacion=$_REQUEST['observacion'];
$cont_amarillo=0;
$cont_rojo=0;
$tolerancia1="A";
$tolerancia2="A";
$resolucion_caja="A";

if(isset($_REQUEST['peso_bayas'])){
	$peso_bayas=$_REQUEST['peso_bayas'];
}else{
	$peso_bayas="";
}
if(isset($_REQUEST['num_caja_madre'])){
	$num_caja_madre=$pi_folio."_".$_REQUEST['num_caja_madre'];
}else{
	$num_caja_madre="";
}
if(isset($_REQUEST['peso_bayas'])){
	$peso_bayas=$_REQUEST['peso_bayas'];
}else{
	$peso_bayas="";
}

$productor_id=$_REQUEST['productor_id'];

if(isset($_REQUEST['productor_id_real'])){
	$productor_id_real=$_REQUEST['productor_id_real'];
}else{
	$productor_id_real=$productor_id;
}
$clasificacion_id=$_REQUEST['clasificacion_id'];
$calibre_id=$_REQUEST['calibre_id'];
if(isset($_REQUEST['folio_pallet'])){
	$folio_pallet=$_REQUEST['folio_pallet'];
}else{
	$folio_pallet="";
}

$cant_cajas=0;
//$nfrutos=$_REQUEST['nfrutos'];

if(isset($_REQUEST['nfrutos'])){
	$nfrutos=$_REQUEST['nfrutos'];
}else{
	$nfrutos="";
}

$nota_calidad=0;
$nota_condicion=0;

$nota_calidad_amarillo=0;
$nota_calidad_rojo=0;
$nota_condicion_amarillo=0;
$nota_condicion_rojo=0;

$peso1="hola";
$firmeza1="hola";

if(isset($_REQUEST['cont_bajo_peso'])){
	$cont_bajo_peso=$_REQUEST['cont_bajo_peso'];
}else{
	$cont_bajo_peso="";
}
if(isset($_REQUEST['peso1'])){
	$peso1=$_REQUEST['peso1'];
}else{
	$peso1="";
}
if(isset($_REQUEST['peso2'])){
	$peso2=$_REQUEST['peso2'];
}else{
	$peso2="";
}
if(isset($_REQUEST['peso3'])){
	$peso3=$_REQUEST['peso3'];
}else{
	$peso3="";
}
if(isset($_REQUEST['peso4'])){
	$peso4=$_REQUEST['peso4'];
}else{
	$peso4="";
}
if(isset($_REQUEST['peso5'])){
	$peso5=$_REQUEST['peso5'];
}else{
	$peso5="";
}
if(isset($_REQUEST['peso6'])){
	$peso6=$_REQUEST['peso6'];
}else{
	$peso6="";
}
if(isset($_REQUEST['peso7'])){
	$peso7=$_REQUEST['peso7'];
}else{
	$peso7="";
}
if(isset($_REQUEST['peso8'])){
	$peso8=$_REQUEST['peso8'];
}else{
	$peso8="";
}
if(isset($_REQUEST['peso9'])){
	$peso9=$_REQUEST['peso9'];
}else{
	$peso9="";
}
if(isset($_REQUEST['peso10'])){
	$peso10=$_REQUEST['peso10'];
}else{
	$peso10="";
}
if(isset($_REQUEST['peso11'])){
	$peso11=$_REQUEST['peso11'];
}else{
	$peso11="";
}
if(isset($_REQUEST['peso12'])){
	$peso12=$_REQUEST['peso12'];
}else{
	$peso12="";
}
if(isset($_REQUEST['peso13'])){
	$peso13=$_REQUEST['peso13'];
}else{
	$peso13="";
}
if(isset($_REQUEST['peso14'])){
	$peso14=$_REQUEST['peso14'];
}else{
	$peso14="";
}
if(isset($_REQUEST['peso15'])){
	$peso15=$_REQUEST['peso15'];
}else{
	$peso15="";
}
if(isset($_REQUEST['peso16'])){
	$peso16=$_REQUEST['peso16'];
}else{
	$peso16="";
}
if(isset($_REQUEST['peso17'])){
	$peso17=$_REQUEST['peso17'];
}else{
	$peso17="";
}
if(isset($_REQUEST['peso18'])){
	$peso18=$_REQUEST['peso18'];
}else{
	$peso18="";
}
if(isset($_REQUEST['peso19'])){
	$peso19=$_REQUEST['peso19'];
}else{
	$peso19="";
}
if(isset($_REQUEST['peso20'])){
	$peso20=$_REQUEST['peso20'];
}else{
	$peso20="";
}
if(isset($_REQUEST['peso21'])){
	$peso21=$_REQUEST['peso21'];
}else{
	$peso21="";
}
if(isset($_REQUEST['peso22'])){
	$peso22=$_REQUEST['peso22'];
}else{
	$peso22="";
}
if(isset($_REQUEST['peso23'])){
	$peso23=$_REQUEST['peso23'];
}else{
	$peso23="";
}
if(isset($_REQUEST['peso24'])){
	$peso24=$_REQUEST['peso24'];
}else{
	$peso24="";
}
if(isset($_REQUEST['peso25'])){
	$peso25=$_REQUEST['peso25'];
}else{
	$peso25="";
}
if(isset($_REQUEST['peso26'])){
	$peso26=$_REQUEST['peso26'];
}else{
	$peso26="";
}
if(isset($_REQUEST['peso27'])){
	$peso27=$_REQUEST['peso27'];
}else{
	$peso27="";
}
if(isset($_REQUEST['peso28'])){
	$peso28=$_REQUEST['peso28'];
}else{
	$peso28="";
}
if(isset($_REQUEST['peso29'])){
	$peso29=$_REQUEST['peso29'];
}else{
	$peso29="";
}
if(isset($_REQUEST['peso30'])){
	$peso30=$_REQUEST['peso30'];
}else{
	$peso30="";
}
//PESO FRUTO
if(isset($_REQUEST['peso_fruto1'])){
	$peso_fruto1=$_REQUEST['peso_fruto1'];
}else{
	$peso_fruto1="";
}

if(isset($_REQUEST['peso_fruto2'])){
	$peso_fruto2=$_REQUEST['peso_fruto2'];
}else{
	$peso_fruto2="";
}

if(isset($_REQUEST['peso_fruto3'])){
	$peso_fruto3=$_REQUEST['peso_fruto3'];
}else{
	$peso_fruto3="";
}
if(isset($_REQUEST['peso_fruto4'])){
	$peso_fruto4=$_REQUEST['peso_fruto4'];
}else{
	$peso_fruto4="";
}
if(isset($_REQUEST['peso_fruto5'])){
	$peso_fruto5=$_REQUEST['peso_fruto5'];
}else{
	$peso_fruto5="";
}
if(isset($_REQUEST['peso_fruto6'])){
	$peso_fruto6=$_REQUEST['peso_fruto6'];
}else{
	$peso_fruto6="";
}
if(isset($_REQUEST['peso_fruto7'])){
	$peso_fruto7=$_REQUEST['peso_fruto7'];
}else{
	$peso_fruto7="";
}
if(isset($_REQUEST['peso_fruto8'])){
	$peso_fruto8=$_REQUEST['peso_fruto8'];
}else{
	$peso_fruto8="";
}
if(isset($_REQUEST['peso_fruto9'])){
	$peso_fruto9=$_REQUEST['peso_fruto9'];
}else{
	$peso_fruto9="";
}
if(isset($_REQUEST['peso_fruto10'])){
	$peso_fruto10=$_REQUEST['peso_fruto10'];
}else{
	$peso_fruto10="";
}
if(isset($_REQUEST['peso_fruto11'])){
	$peso_fruto11=$_REQUEST['peso_fruto11'];
}else{
	$peso_fruto11="";
}
if(isset($_REQUEST['peso_fruto12'])){
	$peso_fruto12=$_REQUEST['peso_fruto12'];
}else{
	$peso_fruto12="";
}
if(isset($_REQUEST['peso_fruto13'])){
	$peso_fruto13=$_REQUEST['peso_fruto13'];
}else{
	$peso_fruto13="";
}
if(isset($_REQUEST['peso_fruto14'])){
	$peso_fruto14=$_REQUEST['peso_fruto14'];
}else{
	$peso_fruto14="";
}
if(isset($_REQUEST['peso_fruto15'])){
	$peso_fruto15=$_REQUEST['peso_fruto15'];
}else{
	$peso_fruto15="";
}
if(isset($_REQUEST['peso_fruto16'])){
	$peso_fruto16=$_REQUEST['peso_fruto16'];
}else{
	$peso_fruto16="";
}
if(isset($_REQUEST['peso_fruto17'])){
	$peso_fruto17=$_REQUEST['peso_fruto17'];
}else{
	$peso_fruto17="";
}
if(isset($_REQUEST['peso_fruto18'])){
	$peso_fruto18=$_REQUEST['peso_fruto18'];
}else{
	$peso_fruto18="";
}
if(isset($_REQUEST['peso_fruto19'])){
	$peso_fruto19=$_REQUEST['peso_fruto19'];
}else{
	$peso_fruto19="";
}
if(isset($_REQUEST['peso_fruto20'])){
	$peso_fruto20=$_REQUEST['peso_fruto20'];
}else{
	$peso_fruto20="";
}

if(isset($_REQUEST['cont_bajo_firmeza'])){
	$cont_bajo_firmeza=$_REQUEST['cont_bajo_firmeza'];
}else{
	$cont_bajo_firmeza="";
}
if(isset($_REQUEST['firmeza1'])){
	$firmeza1=$_REQUEST['firmeza1'];
}else{
	$firmeza1="";
}
if(isset($_REQUEST['firmeza2'])){
	$firmeza2=$_REQUEST['firmeza2'];
}else{
	$firmeza2="";
}
if(isset($_REQUEST['firmeza3'])){
	$firmeza3=$_REQUEST['firmeza3'];
}else{
	$firmeza3="";
}
if(isset($_REQUEST['firmeza4'])){
	$firmeza4=$_REQUEST['firmeza4'];
}else{
	$firmeza4="";
}
if(isset($_REQUEST['firmeza5'])){
	$firmeza5=$_REQUEST['firmeza5'];
}else{
	$firmeza5="";
}
if(isset($_REQUEST['firmeza6'])){
	$firmeza6=$_REQUEST['firmeza6'];
}else{
	$firmeza6="";
}
if(isset($_REQUEST['firmeza7'])){
	$firmeza7=$_REQUEST['firmeza7'];
}else{
	$firmeza7="";
}
if(isset($_REQUEST['firmeza8'])){
	$firmeza8=$_REQUEST['firmeza8'];
}else{
	$firmeza8="";
}
if(isset($_REQUEST['firmeza9'])){
	$firmeza9=$_REQUEST['firmeza9'];
}else{
	$firmeza9="";
}
if(isset($_REQUEST['firmeza10'])){
	$firmeza10=$_REQUEST['firmeza10'];
}else{
	$firmeza10="";
}
if(isset($_REQUEST['firmeza11'])){
	$firmeza11=$_REQUEST['firmeza11'];
}else{
	$firmeza11="";
}
if(isset($_REQUEST['firmeza12'])){
	$firmeza12=$_REQUEST['firmeza12'];
}else{
	$firmeza12="";
}
if(isset($_REQUEST['firmeza13'])){
	$firmeza13=$_REQUEST['firmeza13'];
}else{
	$firmeza13="";
}
if(isset($_REQUEST['firmeza14'])){
	$firmeza14=$_REQUEST['firmeza14'];
}else{
	$firmeza14="";
}
if(isset($_REQUEST['firmeza15'])){
	$firmeza15=$_REQUEST['firmeza15'];
}else{
	$firmeza15="";
}
if(isset($_REQUEST['firmeza16'])){
	$firmeza16=$_REQUEST['firmeza16'];
}else{
	$firmeza16="";
}
if(isset($_REQUEST['firmeza17'])){
	$firmeza17=$_REQUEST['firmeza17'];
}else{
	$firmeza17="";
}
if(isset($_REQUEST['firmeza18'])){
	$firmeza18=$_REQUEST['firmeza18'];
}else{
	$firmeza18="";
}
if(isset($_REQUEST['firmeza19'])){
	$firmeza19=$_REQUEST['firmeza19'];
}else{
	$firmeza19="";
}
if(isset($_REQUEST['firmeza20'])){
	$firmeza20=$_REQUEST['firmeza20'];
}else{
	$firmeza20="";
}


if(isset($_REQUEST['brix_fruto1'])){
	$brix_fruto1=$_REQUEST['brix_fruto1'];
}else{
	$brix_fruto1="";
}
if(isset($_REQUEST['brix_fruto2'])){
	$brix_fruto2=$_REQUEST['brix_fruto2'];
}else{
	$brix_fruto2="";
}
if(isset($_REQUEST['brix_fruto3'])){
	$brix_fruto3=$_REQUEST['brix_fruto3'];
}else{
	$brix_fruto3="";
}
if(isset($_REQUEST['brix_fruto4'])){
	$brix_fruto4=$_REQUEST['brix_fruto4'];
}else{
	$brix_fruto4="";
}
if(isset($_REQUEST['brix_fruto5'])){
	$brix_fruto5=$_REQUEST['brix_fruto5'];
}else{
	$brix_fruto5="";
}
if(isset($_REQUEST['brix_fruto6'])){
	$brix_fruto6=$_REQUEST['brix_fruto6'];
}else{
	$brix_fruto6="";
}
if(isset($_REQUEST['brix_fruto7'])){
	$brix_fruto7=$_REQUEST['brix_fruto7'];
}else{
	$brix_fruto7="";
}
if(isset($_REQUEST['brix_fruto8'])){
	$brix_fruto8=$_REQUEST['brix_fruto8'];
}else{
	$brix_fruto8="";
}
if(isset($_REQUEST['brix_fruto9'])){
	$brix_fruto9=$_REQUEST['brix_fruto9'];
}else{
	$brix_fruto9="";
}
if(isset($_REQUEST['brix_fruto10'])){
	$brix_fruto10=$_REQUEST['brix_fruto10'];
}else{
	$brix_fruto10="";
}





$cumple5="A";
$cumple6="A";


//date_default_timezone_set('America/Santiago');
date_default_timezone_set('America/New_York');
$time = time();
$hora=date("h:i", $time);
$hora2=date("h:i:s", $time);
$fecha_buena=date('Y-m-d');
$fecha_buena2=$fecha_buena." ".$hora2;


include '../../conexion/conn.php';

$sql4 = "DELETE FROM cal_caja_causal WHERE caja_id='$caja_id'";
$result4 = @mysql_query($sql4);
$sql4 = "DELETE FROM cal_cajas_det WHERE caja_id='$caja_id'";
$result4 = @mysql_query($sql4);
$sql4 = "DELETE FROM cal_caja_peso_fijo WHERE caja_id='$caja_id'";
$result4 = @mysql_query($sql4);
$sql4 = "DELETE FROM cal_caja_peso_fruto WHERE caja_id='$caja_id'";
$result4 = @mysql_query($sql4);
$sql4 = "DELETE FROM cal_caja_brix_fruto WHERE caja_id='$caja_id'";
$result4 = @mysql_query($sql4);

$sql4 = "DELETE FROM cal_cajas_firmeza WHERE caja_id='$caja_id'";
$result4 = @mysql_query($sql4);

$sincro="N";



$rs = mysql_query("SELECT * FROM cal_cajas where caja_id='$caja_id'");

           if($row = mysql_fetch_array($rs)){
            $sincro=$row['sincro'];
            $caja_madre3=$row['caja_madre'];
            if($caja_madre3==""){
            	$caja_madre3=$caja_id;
            }
            

          }

          if($sincro=="N"){
          	$sincro="N";
          }else if($sincro=="S"){
          	$sincro="E";
          }else{
          	$sincro="E";
          }


if($peso_fruto1!=''){
	$sql22 =  ("INSERT INTO `cal_caja_peso_fruto`(`caja_id`, `pi_folio`, `peso1_mm`, `peso2_mm`, `peso3_mm`, `peso4_mm`, `peso5_mm`, `peso6_mm`, `peso7_mm`, `peso8_mm`, `peso9_mm`, `peso10_mm`, `peso11_mm`, `peso12_mm`, `peso13_mm`, `peso14_mm`, `peso15_mm`, `peso16_mm`, `peso17_mm`, `peso18_mm`, `peso19_mm`, `peso20_mm`, `peso1_gr`, `peso2_gr`, `peso3_gr`, `peso4_gr`, `peso5_gr`, `peso6_gr`, `peso7_gr`, `peso8_gr`, `peso9_gr`, `peso10_gr`, `peso11_gr`, `peso12_gr`, `peso13_gr`, `peso14_gr`, `peso15_gr`, `peso16_gr`, `peso17_gr`, `peso18_gr`, `peso19_gr`, `peso20_gr`, `cumple_peso`, sincro) VALUES ('$caja_id','$pi_folio','','','','','','','','','','','','','','','','','','','','','$peso_fruto1','$peso_fruto2','$peso_fruto3','$peso_fruto4','$peso_fruto5','$peso_fruto6','$peso_fruto7','$peso_fruto8','$peso_fruto9','$peso_fruto10','$peso_fruto11','$peso_fruto12','$peso_fruto13','$peso_fruto14','$peso_fruto15','$peso_fruto16','$peso_fruto17','$peso_fruto18','$peso_fruto19','$peso_fruto20','SI','$sincro')");
	$result22 = @mysql_query($sql22);

}

if($brix_fruto1!=''){
	$sql22 =  ("INSERT INTO `cal_caja_brix_fruto`(`caja_id`, `pi_folio`, `brix1`, `brix2`, `brix3`, `brix4`, `brix5`, `brix6`, `brix7`, `brix8`, `brix9`, `brix10`) VALUES ('$caja_id','$pi_folio','$brix_fruto1','$brix_fruto2','$brix_fruto3','$brix_fruto4','$brix_fruto5','$brix_fruto6','$brix_fruto7','$brix_fruto8','$brix_fruto9','$brix_fruto10')");
	$result22 = @mysql_query($sql22);

}

if($firmeza1!=''){
    $sql =  ("INSERT INTO `cal_cajas_firmeza`(`caja_id`, `pi_folio`, `firmeza1`, `firmeza2`, `firmeza3`, `firmeza4`, `firmeza5`, `firmeza6`, `firmeza7`, `firmeza8`, `firmeza9`, `firmeza10`, `firmeza11`, `firmeza12`, `firmeza13`, `firmeza14`, `firmeza15`, `firmeza16`, `firmeza17`, `firmeza18`, `firmeza19`, `firmeza20`, `cumple_firmeza`, cont_bajo_firmeza, `sincro`) VALUES ('$caja_id','$pi_folio','$firmeza1','$firmeza2','$firmeza3','$firmeza4','$firmeza5','$firmeza6','$firmeza7','$firmeza8','$firmeza9','$firmeza10','$firmeza11','$firmeza12','$firmeza13','$firmeza14','$firmeza15','$firmeza16','$firmeza17','$firmeza18','$firmeza19','$firmeza20','VERDE', '$cont_bajo_firmeza','N')");
    $result = @mysql_query($sql);
}



   




if(isset($_REQUEST['editar'])){
	$sql = "UPDATE cal_cajas SET  
	norma_id='$norma_id',
	num='$num',
	embalaje_cod='$embalaje_cod',
	etiqueta_cod='$etiqueta_cod',
	variedad_id='$variedad_id',
	variedad_id_real='$variedad_id_real',
	productor_id='$productor_id',
	productor_id_real='$productor_id_real',
	clasificacion_id='$clasificacion_id',
	camara='$camara_id',
	calibre_id='$calibre_id',
	n_proceso='$n_proceso',
	n_lote='$n_lote',
	folio_pallet='$folio_pallet',
	cant_cajas='$cant_cajas',
	nfrutos='$nfrutos',
	n_cal='$nota_calidad',
	n_cal_amarillo='$nota_calidad_amarillo',
	n_cal_rojo='$nota_calidad_rojo',
	n_cond='$nota_condicion',
	n_cond_amarillo='$nota_condicion_amarillo',
	n_cond_rojo='$nota_condicion_rojo',
	observacion='$observacion',
	baya_promedio='$peso_bayas',
	fecha_modificacion='$fecha_buena2',
	sincro='$sincro'	
	WHERE caja_id='$caja_id'";
	$result = @mysql_query($sql);

	if($peso1!="hola"){
			if($cont_bajo_peso>0){
				$sql = "UPDATE cal_cajas SET  
						cumple_peso_fijo='R'	
						WHERE caja_id='$caja_id'";
				$result = @mysql_query($sql);
			}else{
				$cumple_peso="VERDE";
				$sql = "UPDATE cal_cajas SET  
						cumple_peso_fijo='A'	
						WHERE caja_id='$caja_id'";
				$result = @mysql_query($sql);
			}

			$rs = mysql_query("SELECT * FROM cal_cajas where caja_id='$caja_madre3' or caja_madre='$caja_madre3'");

	           while($row = mysql_fetch_array($rs)){
	            $cumple_peso_fijo2=$row['cumple_peso_fijo'];
	            if($cumple_peso_fijo2=="A"){
	            	if($cumple5=="R"){
	            		$cumple5="R";
	            	}else{
	            		$cumple5="A";
	            	}
	            	
	            }else{
	            	$cumple5="R";
	            }
	            

	          }

	          if($cumple5=="A"){
	          	$sql4 = "DELETE FROM cal_caja_causal WHERE caja_id='$caja_madre3' and id_defecto='113'";
				$result4 = @mysql_query($sql4);
	          }else{
	          	$cumple_peso="ROJO";
				$cal_caja_causal_id2=$caja_madre3."_113_PALLET";

				$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id2', '$caja_madre3', '113', 'ROJO', '$cont_bajo_peso', 'PALLET')");
				$result2 = @mysql_query($sql2);
	          }
			$sql =  ("INSERT INTO `cal_caja_peso_fijo`(`caja_id`, `pi_folio`, `peso1`, `peso2`, `peso3`, `peso4`, `peso5`, `peso6`, `peso7`, `peso8`, `peso9`, `peso10`, `peso11`, `peso12`, `peso13`, `peso14`, `peso15`, `peso16`, `peso17`, `peso18`, `peso19`, `peso20`, `peso21`, `peso22`, `peso23`, `peso24`, `peso25`, `peso26`, `peso27`, `peso28`, `peso29`, `peso30`, cont_bajo_peso, `cumple`) VALUES ('$caja_id', '$pi_folio', '$peso1', '$peso2', '$peso3', '$peso4', '$peso5', '$peso6', '$peso7', '$peso8', '$peso9', '$peso10', '$peso11', '$peso12', '$peso13', '$peso14', '$peso15', '$peso16', '$peso17', '$peso18', '$peso19', '$peso20', '$peso21', '$peso22', '$peso23', '$peso24', '$peso25', '$peso26', '$peso27', '$peso28', '$peso29', '$peso30', '$cont_bajo_peso', '$cumple_peso')");
			$result = @mysql_query($sql);
		}

		
	}else if(isset($_REQUEST['contra'])){
		$rs = mysql_query("SELECT COUNT(*) as cant_caja_hijas FROM cal_cajas where caja_id='$caja_madre3' or caja_madre='$caja_madre3'");

           if($row = mysql_fetch_array($rs)){
            $cant_caja_hijas=$row['cant_caja_hijas']+1;
            if($cant_caja_hijas==1){
            	$cant_caja_hijas=0;
            }

          }else{
          	$cant_caja_hijas=0;
          }
          $sql = "UPDATE cal_cajas SET  
			cant_caja_hijas='$cant_caja_hijas',
			sincro='N'	
			WHERE caja_id='$num_caja_madre' AND sincro='N'";
			$result = @mysql_query($sql);
		$sql = "UPDATE cal_cajas SET  
			cant_caja_hijas='$cant_caja_hijas',
			sincro='E'	
			WHERE caja_id='$num_caja_madre' AND (sincro='S' OR sincro='E')";
			$result = @mysql_query($sql);

		$sql =  ("INSERT INTO cal_cajas(caja_id, pi_folio, norma_id, num, embalaje_cod, etiqueta_cod, variedad_id, variedad_id_real, productor_id, productor_id_real, clasificacion_id, calibre_id, n_proceso, n_lote, folio_pallet, cant_cajas, nfrutos, n_cal, n_cal_amarillo, n_cal_rojo, n_cond, n_cond_amarillo, n_cond_rojo, observacion, fecha_creacion, cliente_id, sincro, baya_promedio, usuario_crea, tipo_caja, caja_madre) VALUES('$caja_id', '$pi_folio', '$norma_id', '$num', '$embalaje_cod', '$etiqueta_cod', '$variedad_id', '$variedad_id_real', '$productor_id', '$productor_id_real', '$clasificacion_id', '$calibre_id', '$n_proceso', '$n_lote', '$folio_pallet', '$cant_cajas', '$nfrutos', '$nota_calidad', '$nota_calidad_amarillo', '$nota_calidad_rojo', '$nota_condicion', '$nota_condicion_amarillo', '$nota_condicion_rojo','$observacion', '$fecha_buena2', '$cliente', 'N', '$peso_bayas', '$rut', 'PALLET', '$num_caja_madre')");
		$result = @mysql_query($sql);

		if($peso1!="hola"){
			if($cont_bajo_peso>0){
				
				$sql = "UPDATE cal_cajas SET  
						cumple_peso_fijo='R'	
						WHERE caja_id='$caja_id'";
				$result = @mysql_query($sql);
			}else{
				$cumple_peso="VERDE";
				$sql = "UPDATE cal_cajas SET  
						cumple_peso_fijo='A'	
						WHERE caja_id='$caja_id'";
				$result = @mysql_query($sql);
			}

			$rs = mysql_query("SELECT * FROM cal_cajas where caja_id='$caja_madre3' or caja_madre='$caja_madre3'");

	           while($row = mysql_fetch_array($rs)){
	            $cumple_peso_fijo2=$row['cumple_peso_fijo'];
	            if($cumple_peso_fijo2=="A"){
	            	if($cumple5=="R"){
	            		$cumple5="R";
	            	}else{
	            		$cumple5="A";
	            	}
	            	
	            }else{
	            	$cumple5="R";
	            }
	            

	          }

	          if($cumple5=="A"){
	          	$sql4 = "DELETE FROM cal_caja_causal WHERE caja_id='$caja_madre3' and id_defecto='113'";
				$result4 = @mysql_query($sql4);
	          }else{
	          	$cumple_peso="ROJO";
				$cal_caja_causal_id2=$caja_madre3."_113_PALLET";

				$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id2', '$caja_madre3', '113', 'ROJO', '$cont_bajo_peso', 'PALLET')");
				$result2 = @mysql_query($sql2);
	          }
			$sql =  ("INSERT INTO `cal_caja_peso_fijo`(`caja_id`, `pi_folio`, `peso1`, `peso2`, `peso3`, `peso4`, `peso5`, `peso6`, `peso7`, `peso8`, `peso9`, `peso10`, `peso11`, `peso12`, `peso13`, `peso14`, `peso15`, `peso16`, `peso17`, `peso18`, `peso19`, `peso20`, `peso21`, `peso22`, `peso23`, `peso24`, `peso25`, `peso26`, `peso27`, `peso28`, `peso29`, `peso30`, cont_bajo_peso, `cumple`) VALUES ('$caja_id', '$pi_folio', '$peso1', '$peso2', '$peso3', '$peso4', '$peso5', '$peso6', '$peso7', '$peso8', '$peso9', '$peso10', '$peso11', '$peso12', '$peso13', '$peso14', '$peso15', '$peso16', '$peso17', '$peso18', '$peso19', '$peso20', '$peso21', '$peso22', '$peso23', '$peso24', '$peso25', '$peso26', '$peso27', '$peso28', '$peso29', '$peso30', '$cont_bajo_peso', '$cumple_peso')");
			$result = @mysql_query($sql);
		}

		


	}else{

		$sql =  ("INSERT INTO cal_cajas(caja_id, pi_folio, norma_id, num, embalaje_cod, etiqueta_cod, variedad_id, variedad_id_real, productor_id, productor_id_real, clasificacion_id, calibre_id, n_proceso, n_lote, camara, folio_pallet, cant_cajas, nfrutos, n_cal, n_cal_amarillo, n_cal_rojo, n_cond, n_cond_amarillo, n_cond_rojo, observacion, fecha_creacion, cliente_id, sincro, baya_promedio, usuario_crea, tipo_caja) VALUES('$caja_id', '$pi_folio', '$norma_id', '$num', '$embalaje_cod', '$etiqueta_cod', '$variedad_id', '$variedad_id_real', '$productor_id', '$productor_id_real', '$clasificacion_id', '$calibre_id', '$n_proceso', '$n_lote', '$camara_id', '$folio_pallet', '$cant_cajas', '$nfrutos', '$nota_calidad', '$nota_calidad_amarillo', '$nota_calidad_rojo', '$nota_condicion', '$nota_condicion_amarillo', '$nota_condicion_rojo','$observacion', '$fecha_buena2', '$cliente', 'N', '$peso_bayas', '$rut', 'PALLET')");
		$result = @mysql_query($sql);

		if($peso1!="hola"){
			if($cont_bajo_peso>0){
				$cumple_peso="ROJO";
				$cal_caja_causal_id2=$caja_id."_113_PALLET";
				$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id2', '$caja_id', '113', 'ROJO', '$cont_bajo_peso', 'PALLET')");
				$result2 = @mysql_query($sql2);
				$sql = "UPDATE cal_cajas SET  
						cumple_peso_fijo='R'	
						WHERE caja_id='$caja_id'";
				$result = @mysql_query($sql);
			}else{
				$cumple_peso="VERDE";
				$sql = "UPDATE cal_cajas SET  
						cumple_peso_fijo='A'	
						WHERE caja_id='$caja_id'";
				$result = @mysql_query($sql);
			}
			$sql =  ("INSERT INTO `cal_caja_peso_fijo`(`caja_id`, `pi_folio`, `peso1`, `peso2`, `peso3`, `peso4`, `peso5`, `peso6`, `peso7`, `peso8`, `peso9`, `peso10`, `peso11`, `peso12`, `peso13`, `peso14`, `peso15`, `peso16`, `peso17`, `peso18`, `peso19`, `peso20`, `peso21`, `peso22`, `peso23`, `peso24`, `peso25`, `peso26`, `peso27`, `peso28`, `peso29`, `peso30`, cont_bajo_peso, `cumple`) VALUES ('$caja_id', '$pi_folio', '$peso1', '$peso2', '$peso3', '$peso4', '$peso5', '$peso6', '$peso7', '$peso8', '$peso9', '$peso10', '$peso11', '$peso12', '$peso13', '$peso14', '$peso15', '$peso16', '$peso17', '$peso18', '$peso19', '$peso20', '$peso21', '$peso22', '$peso23', '$peso24', '$peso25', '$peso26', '$peso27', '$peso28', '$peso29', '$peso30', '$cont_bajo_peso', '$cumple_peso')");
			$result = @mysql_query($sql);
		}

		
	}



	$rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id' ORDER BY cal_norma_detalle.orden_ingreso ASC");

    while($row2 = mysql_fetch_array($rs2)){
      $id_defecto=$row2['id_defecto'];
      $tipo_medicion=$row2['tipo_medicion'];
      $nombre_defecto=$row2['nombre_defecto'];
      $cal_caja_causal_id=$caja_id."_".$id_defecto;
      $cajas_det_id=$caja_id."_".$id_defecto;
      if($tipo_medicion!="CALIBRE" && $tipo_medicion!="FOLIO PALLET" && $tipo_medicion!="CANT CAJAS" && $tipo_medicion!="NOTA CALIDAD" && $tipo_medicion!="NOTA CONDICION" && $tipo_medicion!="NFRUTOS" && $tipo_medicion!="PESO BAYA"){

      	if($tipo_medicion=="PORCENTAJE" || $tipo_medicion=="PORCENTAJE RACIMOS" || $tipo_medicion=="PORCENTAJE BAYAS" || $tipo_medicion=="FIRMEZA" || $tipo_medicion=="FIRMEZA2" || $tipo_medicion=="BRIX2" || $tipo_medicion=="PROM FIRMEZA2" || $tipo_medicion=="PROM BRIX2"){
      		if(isset($_REQUEST[$id_defecto."d"])){
      			$valor_real=$_REQUEST[$id_defecto."d"];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST[$id_defecto.'dp1'];
		      		$valor_cumple=$_REQUEST[$id_defecto.'dcumple'];

		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}

		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
      		}
      		
      		
      	}else if($tipo_medicion=="NOTA SELECCIONABLE 1" || $tipo_medicion=="NOTA SELECCIONABLE 2" || $tipo_medicion=="SUMA SELECCIONABLE 1" || $tipo_medicion=="SUMA SELECCIONABLE 2"){
      		if(isset($_REQUEST[$id_defecto."d"])){
      			$valor_real=$_REQUEST[$id_defecto."d"];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST[$id_defecto.'d'];
	      			
	      			if(isset($_REQUEST[$id_defecto.'dcumple'])){
	      			    $valor_cumple=$_REQUEST[$id_defecto.'dcumple'];
	      			}else{
	      			    $valor_cumple="VERDE";
	      			}
		      		

		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}

		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
      		}
      		
      		
      	}else if($tipo_medicion=="PESO NETO"){
      		if(isset($_REQUEST['peso_neto'])){
      			$valor_real=$_REQUEST['peso_neto'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['peso_neto'];
		      		$valor_cumple=$_REQUEST['peso_netocumple'];
		      		$valor_cumple="VERDE";
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
      		}
      		
      	}else if($tipo_medicion=="BRIX"){
      		if(isset($_REQUEST['brix'])){
      			$valor_real=$_REQUEST['brix'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['brix'];
		      		$valor_cumple=$_REQUEST['brixcumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
      		}
      		
      	}else if($tipo_medicion=="NUMERICO"){
      		if(isset($_REQUEST[$id_defecto."d"])){
      			$valor_real=$_REQUEST[$id_defecto."d"];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST[$id_defecto.'dp1'];
		      		$valor_cumple=$_REQUEST[$id_defecto.'dcumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
      		}
      		
      	}else if($tipo_medicion=="NMUESTRA"){
      		if(isset($_REQUEST[$id_defecto."d"])){
      			$valor_real=$_REQUEST[$id_defecto."d"];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST[$id_defecto.'dp1'];
		      		$valor_cumple=$_REQUEST[$id_defecto.'dcumple'];
		      		
		      		
			      	$sql =  ("UPDATE cal_cajas SET  
						n_muestra='$valor_real'	
						WHERE caja_id='$caja_id'");
					$result = @mysql_query($sql);
	      		}
      		}
      		
      	}else if($tipo_medicion=="SUMA CALIDAD"){
      		if(isset($_REQUEST['suma_calidad'])){
      			$valor_real=$_REQUEST['suma_calidad'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['suma_calidadp1'];
		      		$valor_cumple=$_REQUEST['suma_calidadcumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
      		}
      		
      	}else if($tipo_medicion=="SUMA TOTAL"){
      		if(isset($_REQUEST['suma_total'])){
      			$valor_real=$_REQUEST['suma_total'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['suma_totalp1'];
		      		$valor_cumple=$_REQUEST['suma_totalcumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
      		}
      		
      	}else if($tipo_medicion=="SUMA CONDICION"){
      		if(isset($_REQUEST['suma_condicion'])){
	      		$valor_real=$_REQUEST['suma_condicion'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['suma_condicionp1'];
		      		$valor_cumple=$_REQUEST['suma_condicioncumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="OTROS CALIDAD"){
      		if(isset($_REQUEST['otros_calidad'])){
	      		$valor_real=$_REQUEST['otros_calidad'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['otros_calidadp1'];
		      		$valor_cumple=$_REQUEST['otros_calidadcumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="OTROS CONDICION"){
      		if(isset($_REQUEST['otros_condicion'])){
	      		$valor_real=$_REQUEST['otros_condicion'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['otros_condicionp1'];
		      		$valor_cumple=$_REQUEST['otros_condicioncumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="SUMA2 CALIDAD"){
      		if(isset($_REQUEST['suma2_calidad'])){
	      		$valor_real=$_REQUEST['suma2_calidad'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['suma2_calidadp1'];
		      		$valor_cumple=$_REQUEST['suma2_calidadcumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="SUMA2 CALIDAD BAYAS"){
      		if(isset($_REQUEST['suma2baya_calidad'])){
	      		$valor_real=$_REQUEST['suma2baya_calidad'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['suma2baya_calidadp1'];
		      		$valor_cumple=$_REQUEST['suma2baya_calidadcumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="SUMA3 CONDICION"){
      		if(isset($_REQUEST['suma3_condicion'])){
	      		$valor_real=$_REQUEST['suma3_condicion'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['suma3_condicionp1'];
		      		$valor_cumple=$_REQUEST['suma3_condicioncumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="SUMA4 CONDICION"){
      		if(isset($_REQUEST['suma4_condicion'])){
	      		$valor_real=$_REQUEST['suma4_condicion'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['suma4_condicionp1'];
		      		$valor_cumple=$_REQUEST['suma4_condicioncumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="FIRMEZA1_PROM"){
      		if(isset($_REQUEST['firmeza1_prom'])){
	      		$valor_real=$_REQUEST['firmeza1_prom'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['firmeza1_promp1'];
		      		$valor_cumple=$_REQUEST['firmeza1_promcumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="FIRMEZA2_PROM"){
      		if(isset($_REQUEST['firmeza2_prom'])){
	      		$valor_real=$_REQUEST['firmeza2_prom'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['firmeza2_promp1'];
		      		$valor_cumple=$_REQUEST['firmeza2_promcumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="SUMA TOTAL BAYA RACIMO"){
      		if(isset($_REQUEST['suma_total_baya_racimo'])){
	      		$valor_real=$_REQUEST['suma_total_baya_racimo'];
	      		if($valor_real!=""){
	      			$valor_defecto=$_REQUEST['suma_total_baya_racimo'];
		      		$valor_cumple=$_REQUEST['suma_total_baya_racimocumple'];
		      		if($valor_cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($valor_cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$valor_cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		
			      	$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$valor_cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else if($tipo_medicion=="NOTA"){
      		if(isset($_REQUEST[$id_defecto."d"])){
	      		$valor_defecto=$_REQUEST[$id_defecto."d"];
	      		$valor_real=$_REQUEST[$id_defecto."d"];
	      		if($valor_defecto!=""){
	      			if($valor_defecto=='1'){
	      				$cumple="VERDE";
	      			}

	      			if($cliente=="RB"){
	      				if($valor_defecto=='2'){
	      					$cumple="VERDE";
	      				}
	      			}else{
	      				if($valor_defecto=='2'){
	      					$cumple="AMARILLO";
	      				}
	      			}
	      			
	      			if($valor_defecto=='4'){
	      				$cumple="ROJO";
	      			}

	      			if($cumple=="AMARILLO"){
		      			$cont_amarillo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
		      		if($cumple=="ROJO"){
		      			$cont_rojo++;
		      			$sql2 =  ("INSERT INTO cal_caja_causal(cal_caja_causal_id, caja_id, id_defecto, color_causal, valor_causal, tipo_causal) VALUES('$cal_caja_causal_id', '$caja_id', '$id_defecto', '$cumple', '$valor_defecto', 'CAJA')");
						$result2 = @mysql_query($sql2);
		      		}
	      			$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', '$cumple', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
      	}else{
      		if(isset($_REQUEST[$id_defecto."d"])){
	      		$valor_defecto=$_REQUEST[$id_defecto."d"];
	      		$valor_real=$_REQUEST[$id_defecto."d"];
	      		if($valor_defecto!=""){
	      			$sql =  ("INSERT INTO cal_cajas_det(cajas_det_id, caja_id, pi_folio, norma_id, num_cajas_det, id_defecto, valor_defecto, valor_real, cumple, cliente_id) VALUES('$cajas_det_id', '$caja_id', '$pi_folio', '$norma_id', '$num', '$id_defecto', '$valor_defecto', '$valor_real', 'VERDE', '$cliente')");
					$result = @mysql_query($sql);
	      		}
	      	}
	      	
      	}
      	
      	


      }
    }



    if($cont_amarillo>0 && $cont_rojo==0){
    	$tolerancia1="O";
    	$tolerancia2="A";
    	$resolucion_caja="OA";

    }else if($cont_amarillo>=0 && $cont_rojo>0){
    	$tolerancia1="O";
    	$tolerancia2="O";
    	$resolucion_caja="R";

    }else if($cont_amarillo==0 && $cont_rojo==0){
    	$tolerancia1="A";
    	$tolerancia2="A";
    	$resolucion_caja="A";

    }

    $rs = mysql_query("SELECT COUNT(*) cant_cajas_hijas_pallet FROM cal_cajas where caja_id='$caja_madre3' OR caja_madre='$caja_madre3'");

           if($row = mysql_fetch_array($rs)){
           	$cant_cajas_hijas_pallet=$row['cant_cajas_hijas_pallet'];
           	if($cant_cajas_hijas_pallet==1){
           		$cant_cajas_hijas_pallet=0;
           	}
           }

    $resultado=mysql_query("UPDATE cal_cajas 
  		SET cant_cajas_hijas='$cant_cajas_hijas_pallet',
  		sincro='N'
  		WHERE caja_id='$caja_madre3' AND sincro='N'");

    $resultado=mysql_query("UPDATE cal_cajas 
  		SET cant_cajas_hijas='$cant_cajas_hijas_pallet',
  		sincro='E'
  		WHERE caja_id='$caja_madre3' AND (sincro='S' OR sincro='E')");

    $resultado=mysql_query("UPDATE cal_cajas 
  		SET tolerancia1='$tolerancia1',
  		tolerancia2='$tolerancia2',
  		resultado_caja='$resolucion_caja'
  		WHERE caja_id='$caja_id'");



echo json_encode(array('success'=>true));

?>